Commit 24bab514 authored by Alexander A. Maly's avatar Alexander A. Maly

Added some debian staff, not working

parent 59a8c9f1
kumir2 (2.1.0-11) UNRELEASED; binary-only=yes
-- <a.a.maly@gmail.com> Mon, 06 Jul 2020 21:08:03 +0300
Source: kumir2
Section: science
Priority: optional
Maintainer: Kumir Team <kumir@lpm.org.ru>
Standards-Version: 3.9.5
Homepage: http://www.niisi.ru/kumir/
Build-Depends: debhelper (>= 7.0.50~), libqt4-dev (>= 4.7.0), libqtwebkit-dev (>= 2.0.0), libx11-dev, qt4-qmake, python, cmake (>= 2.8.0), g++ (>= 4.7.0)
# libqca2-dev, libboost-dev (>= 1.49), llvm-dev (>= 3.4), libz-dev, clang (>= 3.4),
Package: kumir2-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:depends}, libqtcore4 (>= 4.7.0), libqtgui4 (>= 4.7.0), libqt4-xml (>= 4.7.0), libqtwebkit4, libqt4-script (>= 4.7.0), libqt4-declarative (>= 4.7.0)
#libqca2
Description: Shared files used by various Kumir components
Shared libraries and data files used by various Kumir components
Package: kumir2-ide
Architecture: any
Recommends: kumir2-desktop-integration
Depends: ${shlibs:Depends}, ${misc:depends}, kumir2-common (= ${binary:Version})
Description: Modern UI for Kumir
Modern UI for Kumir with tabs and session support
Package: kumir2-classic
Architecture: any
Recommends: kumir2-desktop-integration
Depends: ${shlibs:Depends}, ${misc:depends}, kumir2-common (= ${binary:Version})
Description: Classic UI for Kumir
Classic Kumir UI like 1.x
Package: kumir2-highgrade
Architecture: any
Recommends: kumir2-desktop-integration
Depends: ${shlibs:Depends}, ${misc:depends}, kumir2-common (= ${binary:Version})
Description: Classic UI for Kumir + High grade features
Classic Kumir UI like 1.x with high grade packages
enabled by default
Package: kumir2-teacher
Architecture: any
Recommends: kumir2-desktop-integration
Depends: ${shlibs:Depends}, ${misc:depends}, kumir2-common (= ${binary:Version})
Description: Teacher mode Kumir UI
Kumir UI with teacher features
Package: kumir2-bc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:depends}, kumir2-common (= ${binary:Version})
Description: kumir2 language compiler
Kumir source to bytecode compiler
#Package: kumir2-extra-llvmc
#Architecture: any
#Depends: ${shlibs:Depends}, ${misc:depends}, kumir2-common (= ${binary:Version}), llvm, clang
#Description: kumir2/LLVM language compiler
# Kumir source to LLVM bitcode and native executable compiler
#
#Package: kumir2-run
#Architecture: any
#Depends: ${shlibs:Depends}, ${misc:depends}
#Description: kumir2 language lightweight runtime
# Lightweight kumir2 language runtime that do not support
# actors, but depends only on standard C++ library
Package: kumir2-desktop-integration
Architecture: any
Depends: ${shlibs:Depends}, ${misc:depends}, kumir2-run, kumir2-classic | kumir2-highgrade | kumir2-ide | kumir2-teacher
Description: kumir2 XDG desktop integration
Provides a way to open kumir-related files using GUI
file manager
Package: kumir2-extra-pictomir2course
Architecture: any
Depends: ${shlibs:Depends}, ${misc:depends}
Description: PictoMir 'games' to kumir2 Course Manager converter
A tool to convert Pictomir >= 0.15.0 'game' JSON-files
into kumir2 .kurs.xml format
Package: kumir2
Architecture: any
Depends: kumir2-ide (= ${binary:Version}), kumir2-classic (= ${binary:Version}), kumir2-highgrade (= ${binary:Version}), kumir2-teacher (= ${binary:Version}), kumir2-desktop-integration (= ${binary:Version})
Description: Kumir education system
Meta-package for full end-user kumir2 installation
Package: kumir2-tools
Architecture: any
Depends: kumir2-run (= ${binary:Version}), kumir2-bc (= ${binary:Version})
Description: Kumir console tools
Meta-package for console tools of kumir2 installation
#Package: kumir2-tools-extra
#Architecture: any
#Depends: kumir2-extra-llvmc (= ${binary:Version}), kumir2-extra-pictomir2course (= ${binary:Version})
#Description: Kumir optional console tools
# Meta-package for optional extra kumir2 console tools installation
Format: http://dep.debian.net/deps/dep5
Upstream-Name: kumir2
Source: http://www.niisi.ru/kumir
Files: *
Copyright:
2005-2015 Mikhail Roytberg <mroytberg@lpm.org.ru>
2005-2015 Denis Khachko <mordol@lpm.org.ru>
2006-2015 Victor Yacovlev <victor@lpm.org.ru>
2007-2009 Nikolay Suboch <suboch@inbox.ru>
2014-2015 Oleg Ivchenko <anellieme-n-fin@mail.ru>
2019-2020 Alexander A. Maly <a.a.maly@gmail.com>
License: GPL-2+
This package is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.
.
This package is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.
.
You should have received a copy of the GNU General Public License
along with this program. If not, see <http://www.gnu.org/licenses/>
.
On Debian systems, the complete text of the GNU General
Public License version 2 can be found in "/usr/share/common-licenses/GPL-2".
usr/bin/kumir2-classic
usr/share/applications/kumir2-classic.desktop
usr/share/icons/hicolor/256x256/apps/kumir2-classic.png
usr/share/icons/hicolor/128x128/apps/kumir2-classic.png
usr/share/icons/hicolor/64x64/apps/kumir2-classic.png
usr/share/icons/hicolor/48x48/apps/kumir2-classic.png
usr/share/icons/hicolor/32x32/apps/kumir2-classic.png
This diff is collapsed.
usr/bin/kumir2-open
#usr/share/applications/kumir2-open.desktop
#usr/share/applications/kumir2-run.desktop
usr/share/icons/hicolor/16x16/mimetypes/kumir2-kod.png
usr/share/icons/hicolor/16x16/mimetypes/kumir2-kum.png
usr/share/icons/hicolor/22x22/mimetypes/kumir2-kod.png
usr/share/icons/hicolor/22x22/mimetypes/kumir2-kum.png
usr/share/icons/hicolor/32x32/mimetypes/kumir2-kod.png
usr/share/icons/hicolor/32x32/mimetypes/kumir2-kum.png
usr/share/icons/hicolor/48x48/mimetypes/kumir2-kod.png
usr/share/icons/hicolor/48x48/mimetypes/kumir2-kum.png
usr/share/icons/hicolor/64x64/mimetypes/kumir2-kod.png
usr/share/icons/hicolor/64x64/mimetypes/kumir2-kum.png
usr/share/icons/hicolor/128x128/mimetypes/kumir2-kod.png
usr/share/icons/hicolor/128x128/mimetypes/kumir2-kum.png
usr/share/icons/hicolor/256x256/mimetypes/kumir2-kod.png
usr/share/icons/hicolor/256x256/mimetypes/kumir2-kum.png
usr/share/mime/packages/kumir2-mimetypes.xml
usr/bin/kumir2-llvmc
usr/lib/kumir2/plugins/LLVMCodeGenerator.pluginspec
usr/lib/kumir2/plugins/libLLVMCodeGenerator.so
usr/share/kumir2/llvmcodegenerator/stdlib.bc
usr/bin/kumir2-highgrade
usr/share/applications/kumir2-highgrade.desktop
usr/share/icons/hicolor/256x256/apps/kumir2-highgrade.png
usr/share/icons/hicolor/128x128/apps/kumir2-highgrade.png
usr/share/icons/hicolor/64x64/apps/kumir2-highgrade.png
usr/share/icons/hicolor/48x48/apps/kumir2-highgrade.png
usr/share/icons/hicolor/32x32/apps/kumir2-highgrade.png
usr/bin/kumir2-ide
usr/share/applications/kumir2-ide.desktop
usr/share/icons/hicolor/256x256/apps/kumir2-ide.png
usr/share/icons/hicolor/128x128/apps/kumir2-ide.png
usr/share/icons/hicolor/64x64/apps/kumir2-ide.png
usr/share/icons/hicolor/48x48/apps/kumir2-ide.png
usr/share/icons/hicolor/32x32/apps/kumir2-ide.png
usr/bin/kumir2-run
usr/bin/kumir2-teacher
usr/share/applications/kumir2-teacher.desktop
usr/share/icons/hicolor/256x256/apps/kumir2-teacher.png
usr/share/icons/hicolor/128x128/apps/kumir2-teacher.png
usr/share/icons/hicolor/64x64/apps/kumir2-teacher.png
usr/share/icons/hicolor/48x48/apps/kumir2-teacher.png
usr/share/icons/hicolor/32x32/apps/kumir2-teacher.png
#!/usr/bin/make -f
export DH_VERBOSE=1
%:
dh $@
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment